%global modulename tern

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-tern
Version:        0.16.0
Release:        1%{?dist}
Summary:        A JavaScript code analyzer for deep, cross-editor language support

License:        MIT
URL:            https://github.com/ternjs/tern#readme
Source0:        http://registry.npmjs.org/tern/-/tern-0.16.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(acorn) >= 2.5.2 with npmlib(acorn) < 3.0.0))
BuildRequires:  ((npmlib(glob) >= 3.0.0 with npmlib(glob) < 4.0.0))
BuildRequires:  ((npmlib(minimatch) >= 0.2.0 with npmlib(minimatch) < 0.3.0))
BuildRequires:  ((npmlib(typescript) = 1.0.1))

Requires:       npmlib(%{modulename}) = %{version}

%description
A JavaScript code analyzer for deep, cross-editor language support

%package 0.16.0
Summary:        A JavaScript code analyzer for deep, cross-editor language support


%description 0.16.0
A JavaScript code analyzer for deep, cross-editor language support

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .gitattributes %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jshintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .no-sublime-package %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .tern-project %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr defs %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr doc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr emacs %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.html %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr plugin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/tern %{buildroot}/%{_bindir}/tern


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc AUTHORS
%doc CONTRIBUTING.md
%doc README.md
%license LICENSE
%{_bindir}/tern
%{nodejs_dir}/%{modulename}

%files 0.16.0
%doc AUTHORS
%doc CONTRIBUTING.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 0.16.0-1
- Package automatically generated by npm2srpm
